from bundlewrap.metadata import metadata_to_json

# transmission overwrites this on a restart. As of 2021-01 there's no
# way of disabling that.
files = {
    '/etc/transmission-daemon/settings.json': {
        'content': metadata_to_json(node.metadata['transmission']['config']),
        'mode': '0444',
        'triggers': {
            'svc_systemd:transmission-daemon:reload',
        },
    },
}

svc_systemd = {
    'transmission-daemon': {
        'needs': {
            'pkg_apt:transmission-daemon',
        },
    },
}
